package com.usky.system.mapper;

import com.usky.system.domain.HceCategory;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.system.service.vo.HceCategoryListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 帮助中心_栏目管理 Mapper 接口
 * </p>
 *
 * @author han
 * @since 2023-08-29
 */
public interface HceCategoryMapper extends CrudMapper<HceCategory> {
    List<HceCategoryListVO> selectMenuTreeAll(@Param("categoryName") String categoryName, @Param("startTime") String startTime, @Param("endTime") String endTime);

    List<HceCategoryListVO> selectMenuTreeByUserId(@Param("categoryName") String categoryName, @Param("startTime") String startTime, @Param("endTime") String endTime,@Param("userId") Long userId);

    List<HceCategoryListVO> selectMenuTreeByUserIdOne(@Param("categoryName") String categoryName, @Param("startTime") String startTime, @Param("endTime") String endTime,@Param("tenantId") Integer tenantId);

    List<HceCategory> getMenuNameList(@Param("categoryIdList") List<Integer> categoryIdList);
}
